Skip to main content
`Ctrl`+`K`

# SNESMSFinalizePackage

This function destroys everything in the `SNESMS` package. It is called from `PetscFinalize()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSFinalizePackage(void)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMS`, `SNESMSRegister()`, `SNESMSRegisterAll()`, `SNESMSInitializePackage()`, `PetscFinalize()`

## Level

developer

## Location

src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages